///
/// \file packager.cc
/// \author K. Isom <kyle@imap.cc>
/// \date 2023-10-18
/// \brief Packaging tools for shimmering-clarity.
///

#include <iostream>
#include <string>

#include <scsl/Commander.h>
#include <scsl/Flag.h>


static struct {
	scsl::Flags	*flags;
	std::string	 owner;
	std::string	 distribution;
	std::string	 component;
	std::string	 password;
	std::string	 username;
	std::string	 version;
} config;


int
main(int argc, char *argv[])
{
	config.flags = new scsl::Flags("sc3dev-packager", "package tooling for shimmering clarity");
	config.flags->Register("--component", "main", "Debian package component");
	config.flags->Register("--distribution", "ubuntu", "Debian package distribution");
	config.flags->Register("--owner", "sc", "package repository owner");

	auto status = config.flags->Parse(argc, argv);
	if (status != scsl::Flags::ParseStatus::OK) {
		std::cerr << "failed to parse flags: "
			<< scsl::Flags::ParseStatusToString(status)
			<< "\n";
		exit(1);
	}
}
